{"openapi":"3.0.1","info":{"title":"cBioPortal web Public API [Alpha]","description":"A web service for supplying JSON formatted data to cBioPortal clients. Please note that this API is currently in beta and subject to change.","contact":{"name":"cbioportal","url":"https://www.cbioportal.org","email":"cbioportal@googlegroups.com"},"license":{"name":"License","url":"https://github.com/cBioPortal/cbioportal/blob/master/LICENSE"},"version":"1.0 (beta). Backwards compatibility will be maintained (after 1.0 release)"},"externalDocs":{"description":"SpringShop Wiki Documentation","url":"https://springshop.wiki.github.org/docs"},"servers":[{"url":"https://www.cbioportal.org","description":"Generated server url"}],"tags":[{"name":"Server running status","description":"This end point does not require authentication"}],"paths":{"/api/treatments/sample":{"post":{"tags":["Treatments"],"description":"Get all sample level treatments","operationId":"getAllSampleTreatmentsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SampleTreatmentRow"}}}}}}}},"/api/treatments/patient":{"post":{"tags":["Treatments"],"description":"Get all patient level treatments","operationId":"getAllPatientTreatmentsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatientTreatmentRow"}}}}}}}},"/api/treatments/display-sample":{"post":{"tags":["Treatments"],"description":"Should sample level treatments be displayed","operationId":"getContainsSampleTreatmentDataUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/api/treatments/display-patient":{"post":{"tags":["Treatments"],"description":"Should patient level treatments be displayed","operationId":"getContainsTreatmentDataUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/api/survival-data/fetch":{"post":{"tags":["Survival"],"description":"Fetch survival data","operationId":"fetchSurvivalDataUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurvivalRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/studies/{studyId}/clinical-data/fetch":{"post":{"tags":["Clinical Data"],"description":"Fetch clinical data by patient IDs or sample IDs (specific study)","operationId":"fetchAllClinicalDataInStudyUsingPOST","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"clinicalDataType","in":"query","description":"Type of the clinical data","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataSingleStudyFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/studies/tags/fetch":{"post":{"tags":["Studies"],"description":"Get the study tags by IDs","operationId":"getTagsForMultipleStudiesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CancerStudyTags"}}}}}}}},"/api/studies/fetch":{"post":{"tags":["Studies"],"description":"Fetch studies by IDs","operationId":"fetchStudiesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CancerStudy"}}}}}}}},"/api/structuralvariant-genes/fetch":{"post":{"tags":["Study View"],"description":"Fetch structural variant genes by study view filter","operationId":"fetchStructuralVariantGenesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationCountByGene"}}}}}}}},"/api/structuralvariant-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch structural variant genes by study view filter","operationId":"fetchStructuralVariantCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationCountByStructuralVariant"}}}}}}}},"/api/structural-variant/fetch":{"post":{"tags":["Structural Variants"],"description":"Fetch structural variants for entrezGeneIds and molecularProfileIds or sampleMolecularIdentifiers","operationId":"fetchStructuralVariantsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructuralVariantFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StructuralVariant"}}}}}}}},"/api/samples/fetch":{"post":{"tags":["Samples"],"description":"Fetch samples by ID","operationId":"fetchSamplesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/sample-lists/fetch":{"post":{"tags":["Sample Lists"],"description":"Fetch sample lists by ID","operationId":"fetchSampleListsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of sample list IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SampleList"}}}}}}}},"/api/sample-lists-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch case list sample counts by study view filter","operationId":"fetchCaseListCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseListDataCount"}}}}}}}},"/api/resource-definitions/fetch":{"post":{"tags":["Resource Definitions"],"description":"Get all resource definitions for specified studies","operationId":"fetchResourceDefinitionsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}}},"/api/reference-genome-genes/{genomeName}/fetch":{"post":{"tags":["Reference Genome Genes"],"description":"Fetch genes of reference genome of interest","operationId":"fetchReferenceGenomeGenesUsingPOST","parameters":[{"name":"genomeName","in":"path","description":"Name of Reference Genome hg19","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Gene IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}}}}}},"/api/patients/fetch":{"post":{"tags":["Patients"],"operationId":"fetchPatientsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Patient"}}}}}}}},"/api/namespace-data/fetch":{"post":{"tags":["Namespace Data"],"description":"Get namespace data for comparison page for the selected samples and values","operationId":"getNamespaceDataForComparisonUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamespaceComparisonFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceData"}}}}}}}},"/api/namespace-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch namespace data counts by study view filter","operationId":"fetchNamespaceDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamespaceDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceDataCountItem"}}}}}}}},"/api/namespace-attributes/fetch":{"post":{"tags":["Namespace Attributes"],"description":"Fetch namespace attributes","operationId":"fetchNamespaceUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceAttribute"}}}}}}}},"/api/namespace-attributes/counts/fetch":{"post":{"tags":["Namespace Attributes Count"],"description":"Get counts for namespace attributes according to their data availability for selected samples/patients","operationId":"getNamespaceAttributeCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamespaceAttributeCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceAttributeCount"}}}}}}}},"/api/mutations/fetch":{"post":{"tags":["Mutations"],"description":"Fetch mutations in multiple molecular profiles by sample IDs","operationId":"fetchMutationsInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["entrezGeneId","center","mutationStatus","validationStatus","tumorAltCount","tumorRefCount","normalAltCount","normalRefCount","aminoAcidChange","startPosition","endPosition","referenceAllele","variantAllele","proteinChange","mutationType","ncbiBuild","variantType","refseqMrnaId","proteinPosStart","proteinPosEnd","keyword"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationMultipleStudyFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Mutation"}}}}}}}},"/api/mutation-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch mutation data counts by GenomicDataCountFilter","operationId":"fetchMutationDataCountsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenomicDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCountItem"}}}}}}}},"/api/mutation-counts-by-position/fetch":{"post":{"tags":["Mutations Count"],"description":"Fetch mutation counts in all studies by gene and position","operationId":"fetchMutationCountsByPositionUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Mutation Position Identifiers","items":{"$ref":"#/components/schemas/MutationPositionIdentifier"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MutationCountByPosition"}}}}}}}},"/api/mutated-genes/fetch":{"post":{"tags":["Study View"],"description":"Fetch mutated genes by study view filter","operationId":"fetchMutatedGenesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationCountByGene"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/variant-counts/fetch":{"post":{"tags":["Variant Counts"],"description":"Get counts of specific variants within a mutation molecular profile","operationId":"fetchVariantCountsUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of variant count identifiers","items":{"$ref":"#/components/schemas/VariantCountIdentifier"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VariantCount"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/mutations/fetch":{"post":{"tags":["Mutations"],"description":"Fetch mutations in a molecular profile","operationId":"fetchMutationsInMolecularProfileUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["entrezGeneId","center","mutationStatus","validationStatus","tumorAltCount","tumorRefCount","normalAltCount","normalRefCount","aminoAcidChange","startPosition","endPosition","referenceAllele","variantAllele","proteinChange","mutationType","ncbiBuild","variantType","refseqMrnaId","proteinPosStart","proteinPosEnd","keyword"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Mutation"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/mutation-spectrums/fetch":{"post":{"tags":["Mutation Spectrums"],"description":"Fetch mutation spectrums in a molecular profile","operationId":"fetchMutationSpectrumsUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationSpectrumFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MutationSpectrum"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/mrna-percentile/fetch":{"post":{"tags":["mRNA Percentile"],"description":"Get mRNA expression percentiles for list of genes for a sample","operationId":"fetchMrnaPercentileUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_rna_seq_v2_mrna","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"query","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Entrez Gene IDs","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MrnaPercentile"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/molecular-data/fetch":{"post":{"tags":["Molecular Data"],"description":"Fetch molecular data in a molecular profile","operationId":"fetchAllMolecularDataInMolecularProfileUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_rna_seq_v2_mrna","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularDataFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NumericGeneMolecularData"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/gene-panel-data/fetch":{"post":{"tags":["Gene Panel Data"],"description":"Get gene panel data","operationId":"getGenePanelDataUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. nsclc_unito_2016_mutations","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenePanelDataFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenePanelData"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/discrete-copy-number/fetch":{"post":{"tags":["Discrete Copy Number Alterations"],"description":"Fetch discrete copy number alterations in a molecular profile by sample ID","operationId":"fetchDiscreteCopyNumbersInMolecularProfileUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_gistic","required":true,"schema":{"type":"string"}},{"name":"discreteCopyNumberEventType","in":"query","description":"Type of the copy number event","required":false,"schema":{"type":"string","default":"HOMDEL_AND_AMP","enum":["HOMDEL_AND_AMP","HOMDEL","AMP","GAIN","HETLOSS","DIPLOID","ALL"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscreteCopyNumberFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DiscreteCopyNumberData"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/discrete-copy-number-counts/fetch":{"post":{"tags":["Discrete Copy Number Alteration Counts"],"description":"Get counts of specific genes and alterations within a CNA molecular profile","operationId":"fetchCopyNumberCountsUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_gistic","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of copy number count identifiers","items":{"$ref":"#/components/schemas/CopyNumberCountIdentifier"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CopyNumberCount"}}}}}}}},"/api/molecular-profiles/fetch":{"post":{"tags":["Molecular Profiles"],"description":"Fetch molecular profiles","operationId":"fetchMolecularProfilesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularProfileFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MolecularProfile"}}}}}}}},"/api/molecular-profiles/co-expressions/fetch":{"post":{"tags":["Co-Expressions"],"description":"Calculates correlations between a genetic entity from a specific profile and another profile from the same study","operationId":"fetchCoExpressionsUsingPOST","parameters":[{"name":"molecularProfileIdA","in":"query","description":"Molecular Profile ID from the Genetic Entity referenced in the co-expression filter e.g. acc_tcga_rna_seq_v2_mrna","required":true,"schema":{"type":"string"}},{"name":"molecularProfileIdB","in":"query","description":"Molecular Profile ID (can be the same as molecularProfileIdA) e.g. acc_tcga_rna_seq_v2_mrna","required":true,"schema":{"type":"string"}},{"name":"threshold","in":"query","description":"Threshold","required":false,"schema":{"type":"number","format":"double","default":0.3}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CoExpressionFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CoExpression"}}}}}}}},"/api/molecular-profile-sample-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch sample counts by study view filter","operationId":"fetchMolecularProfileSampleCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCount"}}}}}}}},"/api/molecular-data/fetch":{"post":{"tags":["Molecular Data"],"description":"Fetch molecular data","operationId":"fetchMolecularDataInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularDataMultipleStudyFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NumericGeneMolecularData"}}}}}}}},"/api/genomic-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch genomic data counts by GenomicDataCountFilter","operationId":"fetchGenomicDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenomicDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCountItem"}}}}}}}},"/api/genomic-data-bin-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch genomic data bin counts by study view filter","operationId":"fetchGenomicDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","description":"Method for data binning","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenomicDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataBin"}}}}}}}},"/api/genetic-profiles/{geneticProfileId}/geneset-genetic-data/fetch":{"post":{"tags":["Gene Set Scores"],"description":"Fetch gene set \"genetic data\" items (gene set scores) by profile Id, gene set ids and sample ids","operationId":"fetchGeneticDataItemsUsingPOST","parameters":[{"name":"geneticProfileId","in":"path","description":"Genetic profile ID, e.g. gbm_tcga_gsva_scores","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenesetDataFilterCriteria"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenesetMolecularData"}}}}}}}},"/api/genesets/{genesetId}/expression-correlation/fetch":{"post":{"tags":["Gene Set Correlation"],"description":"Get the genes in a gene set that have expression correlated to the gene set scores (calculated using Spearman's correlation)","operationId":"fetchCorrelatedGenesUsingPOST","parameters":[{"name":"genesetId","in":"path","description":"Gene set ID, e.g. HINATA_NFKB_MATRIX.","required":true,"schema":{"type":"string"}},{"name":"geneticProfileId","in":"query","description":"Genetic Profile ID e.g. gbm_tcga_gsva_scores","required":true,"schema":{"type":"string"}},{"name":"correlationThreshold","in":"query","description":"Correlation threshold (for absolute correlation value, Spearman correlation)","required":false,"schema":{"maximum":1,"minimum":0,"type":"number","format":"double","default":0.3}},{"name":"sampleListId","in":"query","description":"Identifier of pre-defined sample list with samples to query, e.g. brca_tcga_all","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Fill this one if you want to specify a subset of samples: sampleIds: custom list of samples or patients to query, e.g. [\"TCGA-A1-A0SD-01\", \"TCGA-A1-A0SE-01\"]","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenesetCorrelation"}}}}}}}},"/api/genesets/fetch":{"post":{"tags":["Gene Sets"],"description":"Fetch gene sets by ID","operationId":"fetchGenesetsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Geneset IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Geneset"}}}}}}}},"/api/geneset-hierarchy/fetch":{"post":{"tags":["Gene Set Hierarchy"],"description":"Get gene set hierarchical organization information. I.e. how different gene sets relate to other gene sets, in a hierarchy","operationId":"fetchGenesetHierarchyInfoUsingPOST","parameters":[{"name":"geneticProfileId","in":"query","description":"Genetic Profile ID e.g. gbm_tcga_gsva_scores. The final hierarchy  will only include gene sets scored in the specified profile.","required":true,"schema":{"type":"string"}},{"name":"percentile","in":"query","description":"Percentile (for score calculation). Which percentile to use when determining the *representative score*","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":75}},{"name":"scoreThreshold","in":"query","description":"Gene set score threshold (for absolute score value). Filters out gene sets where the GSVA(like) *representative score* is under this threshold.","required":false,"schema":{"maximum":1,"minimum":0,"type":"number","format":"double","default":0.4}},{"name":"pvalueThreshold","in":"query","description":"p-value threshold. Filters out gene sets for which the score p-value is higher than this threshold.","required":false,"schema":{"maximum":1,"minimum":0,"type":"number","format":"double","default":0.05}},{"name":"sampleListId","in":"query","description":"Identifier of pre-defined sample list with samples to query, e.g. brca_tcga_all","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Fill this one if you want to specify a subset of samples: sampleIds: custom list of samples or patients to query, e.g. [\"TCGA-A1-A0SD-01\", \"TCGA-A1-A0SE-01\"]","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenesetHierarchyInfo"}}}}}}}},"/api/genes/fetch":{"post":{"tags":["Genes"],"description":"Fetch genes by ID","operationId":"fetchGenesUsingPOST","parameters":[{"name":"geneIdType","in":"query","required":false,"schema":{"type":"string","default":"ENTREZ_GENE_ID","enum":["ENTREZ_GENE_ID","HUGO_GENE_SYMBOL"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Gene IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Gene"}}}}}}}},"/api/generic_assay_meta/fetch":{"post":{"tags":["Generic Assays"],"description":"Fetch meta data for generic-assay by ID","operationId":"fetchGenericAssayMetaUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayMetaFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayMeta"}}}}}}}},"/api/generic_assay_data/{molecularProfileId}/fetch":{"post":{"tags":["Generic Assay Data"],"description":"fetch generic_assay_data in a molecular profile","operationId":"fetchGenericAssayDataInMolecularProfileUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayData"}}}}}}}},"/api/generic_assay_data/fetch":{"post":{"tags":["Generic Assay Data"],"description":"Fetch generic_assay_data","operationId":"fetchGenericAssayDataInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayDataMultipleStudyFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayData"}}}}}}}},"/api/generic-assay-enrichments/fetch":{"post":{"tags":["Enrichments"],"description":"Fetch generic assay enrichments in a molecular profile","operationId":"fetchGenericAssayEnrichmentsUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayEnrichment"}}}}}}}},"/api/generic-assay-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch generic assay data counts by study view filter","operationId":"fetchGenericAssayDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataCountItem"}}}}}}}},"/api/generic-assay-data-bin-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch generic assay data bin counts by study view filter","operationId":"fetchGenericAssayDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","description":"Method for data binning","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataBin"}}}}}}}},"/api/generic-assay-categorical-enrichments/fetch":{"post":{"tags":["Generic Assay Enrichment Data"],"description":"Fetch generic assay categorical data enrichments in a molecular profile","operationId":"fetchGenericAssayCategoricalDataEnrichmentInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayCategoricalEnrichment"}}}}}}}},"/api/generic-assay-binary-enrichments/fetch":{"post":{"tags":["Generic Assay Enrichment Data"],"description":"Fetch generic assay binary data enrichments in a molecular profile","operationId":"fetchGenericAssayBinaryDataEnrichmentInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayBinaryEnrichment"}}}}}}}},"/api/gene-panels/fetch":{"post":{"tags":["Gene Panels"],"description":"Get gene panel","operationId":"fetchGenePanelsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Gene Panel IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenePanel"}}}}}}}},"/api/gene-panel-data/fetch":{"post":{"tags":["Gene Panel Data"],"description":"Fetch gene panel data","operationId":"fetchGenePanelDataInMultipleMolecularProfilesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenePanelDataMultipleStudyFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenePanelData"}}}}}}}},"/api/filtered-samples/fetch":{"post":{"tags":["Study View"],"description":"Fetch sample IDs by study view filter","operationId":"fetchFilteredSamplesUsingPOST","parameters":[{"name":"negateFilters","in":"query","description":"Whether to negate the study view filters","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/expression-enrichments/fetch":{"post":{"tags":["Enrichments"],"description":"Fetch genomic enrichments in a molecular profile","operationId":"fetchGenomicEnrichmentsUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicEnrichment"}}}}}}}},"/api/data-access-tokens":{"get":{"tags":["Data Access Tokens"],"description":"Retrieve all data access tokens","operationId":"getAllDataAccessTokensUsingGET","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataAccessToken"}}}}}}},"post":{"tags":["Data Access Tokens"],"description":"Get all data access tokens","operationId":"createDataAccessTokenUsingPOST","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataAccessToken"}}}}}},"delete":{"tags":["Data Access Tokens"],"description":"Delete all data access tokens","operationId":"revokeAllDataAccessTokensUsingDELETE","responses":{"200":{"description":"OK"}}}},"/api/custom-driver-annotation-report/fetch":{"post":{"tags":["Custom driver annotations"],"summary":"Return availability of custom driver annotations for molecular profiles","operationId":"fetchAlterationDriverAnnotationReportUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Molecular Profile Ids","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomDriverAnnotationReport"}}}}}}},"/api/custom-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch custom data counts by study view filter","operationId":"fetchCustomDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataCountItem"}}}}}}}},"/api/custom-data-bin-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch custom data bin counts by study view filter","operationId":"fetchCustomDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","description":"Method for data binning","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataBin"}}}}}}}},"/api/copy-number-segments/fetch":{"post":{"tags":["Copy Number Segments"],"description":"Fetch copy number segments by sample ID","operationId":"fetchCopyNumberSegmentsUsingPOST","parameters":[{"name":"chromosome","in":"query","description":"Chromosome","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of sample identifiers","items":{"$ref":"#/components/schemas/SampleIdentifier"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CopyNumberSeg"}}}}}}}},"/api/column-store/treatments/sample-counts/fetch":{"post":{"tags":["columnar-store-study-view-controller"],"operationId":"fetchSampleTreatmentCountsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleTreatmentReport"}}}}}}},"/api/column-store/treatments/patient-counts/fetch":{"post":{"tags":["columnar-store-study-view-controller"],"description":"Get all patient level treatments","operationId":"fetchPatientTreatmentCountsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientTreatmentReport"}}}}}}},"/api/column-store/samples/fetch":{"post":{"tags":["column-store-sample-controller"],"description":"Fetch samples by ID","operationId":"fetchSamplesUsingPOST_1","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/column-store/alteration-enrichments/fetch":{"post":{"tags":["columnar-store-alteration-enrichment-controller"],"summary":"Fetch alteration enrichments in molecular profiles","operationId":"fetchAlterationEnrichmentsUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularProfileCasesGroupAndAlterationTypeFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationEnrichment"}}}}}}}},"/api/cna-genes/fetch":{"post":{"tags":["Study View"],"description":"Fetch CNA genes by study view filter","operationId":"fetchCNAGenesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CopyNumberCountByGene"}}}}}}}},"/api/clinical-events-meta/fetch":{"post":{"tags":["Clinical Events"],"description":"Fetch clinical events meta","operationId":"fetchClinicalEventsMetaUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalEventAttributeRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEvent"}}}}}}}},"/api/clinical-event-type-counts/fetch":{"post":{"tags":["Study View"],"description":"Get Counts of Clinical Event Types by Study View Filter","operationId":"getClinicalEventTypeCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventTypeCount"}}}}}}}},"/api/clinical-data/fetch":{"post":{"tags":["Clinical Data"],"description":"Fetch clinical data by patient IDs or sample IDs (all studies)","operationId":"fetchClinicalDataUsingPOST","parameters":[{"name":"clinicalDataType","in":"query","description":"Type of the clinical data","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataMultiStudyFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/clinical-data-violin-plots/fetch":{"post":{"tags":["Study View"],"description":"Fetch violin plot curves per categorical clinical data value, filtered by study view filter","operationId":"fetchClinicalDataViolinPlotsUsingPOST","parameters":[{"name":"categoricalAttributeId","in":"query","description":"Clinical Attribute ID of the categorical attribute","required":true,"schema":{"type":"string"}},{"name":"numericalAttributeId","in":"query","description":"Clinical Attribute ID of the numerical attribute","required":true,"schema":{"type":"string"}},{"name":"axisStart","in":"query","description":"Starting point of the violin plot axis, if different than smallest value","required":false,"schema":{"type":"number"}},{"name":"axisEnd","in":"query","description":"Ending point  of the violin plot axis, if different than largest value","required":false,"schema":{"type":"number"}},{"name":"numCurvePoints","in":"query","description":"Number of points in the curve","required":false,"schema":{"type":"number","default":100}},{"name":"logScale","in":"query","description":"Use log scale for the numerical attribute","required":false,"schema":{"type":"boolean","default":false}},{"name":"sigmaMultiplier","in":"query","description":"Sigma stepsize multiplier","required":false,"schema":{"type":"number","default":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalViolinPlotData"}}}}}}},"/api/clinical-data-table/fetch":{"post":{"tags":["Study View"],"description":"Fetch clinical data for the Clinical Tab of Study View","operationId":"fetchClinicalDataClinicalTableUsingPOST","parameters":[{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":1000000,"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"pageNumber","in":"query","description":"Page number of the result list. Zero represents the first page.","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"searchTerm","in":"query","description":"Search term to filter sample rows. Samples are returned with a partial match to the search term for any sample clinical attribute.","required":false,"schema":{"type":"string","default":""}},{"name":"sortBy","in":"query","description":"sampleId, patientId, or the ATTR_ID to sorted by","required":false,"schema":{"type":"string"}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleClinicalDataCollection"}}}}}}},"/api/clinical-data-enrichments/fetch":{"post":{"tags":["Clinical Data Enrichments"],"description":"Fetch clinical data enrichments for the sample groups","operationId":"fetchClinicalEnrichmentsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataEnrichment"}}}}}}}},"/api/clinical-data-density-plot/fetch":{"post":{"tags":["Study View"],"description":"Fetch clinical data density plot bins by study view filter","operationId":"fetchClinicalDataDensityPlotUsingPOST","parameters":[{"name":"xAxisAttributeId","in":"query","description":"Clinical Attribute ID of the X axis","required":true,"schema":{"type":"string"}},{"name":"xAxisBinCount","in":"query","description":"Number of the bins in X axis","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"xAxisStart","in":"query","description":"Starting point of the X axis, if different than smallest value","required":false,"schema":{"type":"number"}},{"name":"xAxisEnd","in":"query","description":"Starting point of the X axis, if different than largest value","required":false,"schema":{"type":"number"}},{"name":"yAxisAttributeId","in":"query","description":"Clinical Attribute ID of the Y axis","required":true,"schema":{"type":"string"}},{"name":"yAxisBinCount","in":"query","description":"Number of the bins in Y axis","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"yAxisStart","in":"query","description":"Starting point of the Y axis, if different than smallest value","required":false,"schema":{"type":"number"}},{"name":"yAxisEnd","in":"query","description":"Starting point of the Y axis, if different than largest value","required":false,"schema":{"type":"number"}},{"name":"xAxisLogScale","in":"query","description":"Use log scale for X axis","required":false,"schema":{"type":"boolean","default":false}},{"name":"yAxisLogScale","in":"query","description":"Use log scale for Y axis","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DensityPlotData"}}}}}}},"/api/clinical-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch clinical data counts by study view filter","operationId":"fetchClinicalDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataCountItem"}}}}}}}},"/api/clinical-data-bin-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch clinical data bin counts by study view filter","operationId":"fetchClinicalDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","description":"Method for data binning","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataBin"}}}}}}}},"/api/clinical-attributes/fetch":{"post":{"tags":["Clinical Attributes"],"description":"Fetch clinical attributes","operationId":"fetchClinicalAttributesUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalAttribute"}}}}}}}},"/api/clinical-attributes/counts/fetch":{"post":{"tags":["Clinical Attributes Count"],"description":"Get counts for clinical attributes according to their data availability for selected samples/patients","operationId":"getClinicalAttributeCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalAttributeCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalAttributeCount"}}}}}}}},"/api/alteration-enrichments/fetch":{"post":{"tags":["Alteration Enrichments"],"summary":"Fetch alteration enrichments in molecular profiles","operationId":"fetchAlterationEnrichmentsUsingPOST_1","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularProfileCasesGroupAndAlterationTypeFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationEnrichment"}}}}}}}},"/api/v2/api-docs":{"get":{"tags":["legacy-api-controller"],"operationId":"getLegacyAPIUsing","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseEntityString"}}}}}}},"/api/url-shortener":{"get":{"tags":["url-shortener-controller"],"operationId":"urlShortenerUsingGET","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseEntityURLShortenerResponse"}}}}}}},"/api/timestamps":{"get":{"tags":["Timestamps"],"description":"Get the last time each static resource was updated","operationId":"getAllTimestampsUsingGET","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/studies":{"get":{"tags":["Studies"],"description":"Get all studies","operationId":"getAllStudiesUsingGET","parameters":[{"name":"keyword","in":"query","description":"Search keyword that applies to name and cancer type of the studies","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["studyId","cancerTypeId","name","description","publicStudy","pmid","citation","groups","status","importDate"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CancerStudy"}}}}}}}},"/api/studies/{studyId}":{"get":{"tags":["Studies"],"description":"Get a study","operationId":"getStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancerStudy"}}}}}}},"/api/studies/{studyId}/tags":{"get":{"tags":["Studies"],"description":"Get the tags of a study","operationId":"getTagsUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/studies/{studyId}/significantly-mutated-genes":{"get":{"tags":["Significantly Mutated Genes"],"description":"Get significantly mutated genes in a study","operationId":"getSignificantlyMutatedGenesUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["entrezGeneId","hugoGeneSymbol","rank","numberOfMutations","pValue","qValue"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MutSig"}}}}}}}},"/api/studies/{studyId}/significant-copy-number-regions":{"get":{"tags":["Significant Copy Number Regions"],"description":"Get significant copy number alteration regions in a study","operationId":"getSignificantCopyNumberRegionsUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["chromosome","cytoband","widePeakStart","widePeakEnd","qValue","amp"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Gistic"}}}}}}}},"/api/studies/{studyId}/samples":{"get":{"tags":["Samples"],"description":"Get all samples in a study","operationId":"getAllSamplesInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["sampleId","sampleType"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/studies/{studyId}/samples/{sampleId}":{"get":{"tags":["Samples"],"description":"Get a sample in a study","operationId":"getSampleInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"path","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Sample"}}}}}}},"/api/studies/{studyId}/samples/{sampleId}/resource-data":{"get":{"tags":["Resource Data"],"description":"Get all resource data of a sample in a study","operationId":"getAllResourceDataOfSampleInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"path","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/samples/{sampleId}/copy-number-segments":{"get":{"tags":["Copy Number Segments"],"description":"Get copy number segments in a sample in a study","operationId":"getCopyNumberSegmentsInSampleInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"path","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}},{"name":"chromosome","in":"query","description":"Chromosome","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":20000,"minimum":1,"type":"integer","format":"int32","default":20000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["chromosome","start","end","numberOfProbes","segmentMean"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CopyNumberSeg"}}}}}}}},"/api/studies/{studyId}/samples/{sampleId}/clinical-data":{"get":{"tags":["Clinical Data"],"description":"Get all clinical data of a sample in a study","operationId":"getAllClinicalDataOfSampleInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"path","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}},{"name":"attributeId","in":"query","description":"Attribute ID e.g. CANCER_TYPE","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["clinicalAttributeId","value"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/studies/{studyId}/sample-lists":{"get":{"tags":["Sample Lists"],"description":"Get all sample lists in a study","operationId":"getAllSampleListsInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["sampleListId","category","studyId","name","description"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SampleList"}}}}}}}},"/api/studies/{studyId}/resource-definitions":{"get":{"tags":["Resource Definitions"],"description":"Get all resource definitions in the specified study","operationId":"getAllResourceDefinitionsInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["resourceId","displayName","description","resourceType","priority","openByDefault","studyId","customMetaData"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}}},"/api/studies/{studyId}/resource-definitions/{resourceId}":{"get":{"tags":["Resource Definitions"],"description":"Get specified resource definition","operationId":"getResourceDefinitionInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"path","description":"Resource ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}},"/api/studies/{studyId}/resource-data":{"get":{"tags":["Resource Data"],"description":"Get all resource data for a study","operationId":"getAllStudyResourceDataInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/resource-data-all":{"get":{"tags":["Resource Data"],"description":"Get all resource data for for all patients and all samples within a study","operationId":"getAllStudyResourceDataInStudyPatientSampleUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/patients":{"get":{"tags":["Patients"],"description":"Get all patients in a study","operationId":"getAllPatientsInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["patientId"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Patient"}}}}}}}},"/api/studies/{studyId}/patients/{patientId}":{"get":{"tags":["Patients"],"description":"Get a patient in a study","operationId":"getPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. TCGA-OR-A5J2","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patient"}}}}}}},"/api/studies/{studyId}/patients/{patientId}/samples":{"get":{"tags":["Samples"],"description":"Get all samples of a patient in a study","operationId":"getAllSamplesOfPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. TCGA-OR-A5J2","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["sampleId","sampleType"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/studies/{studyId}/patients/{patientId}/resource-data":{"get":{"tags":["Resource Data"],"description":"Get all resource data of a patient in a study","operationId":"getAllResourceDataOfPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. TCGA-OR-A5J2","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/patients/{patientId}/clinical-events":{"get":{"tags":["Clinical Events"],"description":"Get all clinical events of a patient in a study","operationId":"getAllClinicalEventsOfPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. lgg_ucsf_2014","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. P01","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["eventType","startNumberOfDaysSinceDiagnosis","endNumberOfDaysSinceDiagnosis"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEvent"}}}}}}}},"/api/studies/{studyId}/patients/{patientId}/clinical-data":{"get":{"tags":["Clinical Data"],"description":"Get all clinical data of a patient in a study","operationId":"getAllClinicalDataOfPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. TCGA-OR-A5J2","required":true,"schema":{"type":"string"}},{"name":"attributeId","in":"query","description":"Attribute ID e.g. AGE","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["clinicalAttributeId","value"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/studies/{studyId}/molecular-profiles":{"get":{"tags":["Molecular Profiles"],"description":"Get all molecular profiles in a study","operationId":"getAllMolecularProfilesInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["molecularProfileId","molecularAlterationType","datatype","name","description","showProfileInAnalysisTab"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MolecularProfile"}}}}}}}},"/api/studies/{studyId}/clinical-events":{"get":{"tags":["Clinical Events"],"description":"Get all clinical events in a study","operationId":"getAllClinicalEventsInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. lgg_ucsf_2014","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["eventType","startNumberOfDaysSinceDiagnosis","endNumberOfDaysSinceDiagnosis"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEvent"}}}}}}}},"/api/studies/{studyId}/clinical-data":{"get":{"tags":["Clinical Data"],"description":"Get all clinical data in a study","operationId":"getAllClinicalDataInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"attributeId","in":"query","description":"Attribute ID e.g. CANCER_TYPE","required":false,"schema":{"type":"string"}},{"name":"clinicalDataType","in":"query","description":"Type of the clinical data","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["clinicalAttributeId","value"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/studies/{studyId}/clinical-attributes":{"get":{"tags":["Clinical Attributes"],"description":"Get all clinical attributes in the specified study","operationId":"getAllClinicalAttributesInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["clinicalAttributeId","displayName","description","datatype","patientAttribute","priority","studyId"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalAttribute"}}}}}}}},"/api/studies/{studyId}/clinical-attributes/{clinicalAttributeId}":{"get":{"tags":["Clinical Attributes"],"description":"Get specified clinical attribute","operationId":"getClinicalAttributeInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"clinicalAttributeId","in":"path","description":"Clinical Attribute ID e.g. CANCER_TYPE","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalAttribute"}}}}}}},"/api/samples":{"get":{"tags":["Samples"],"description":"Get all samples matching keyword","operationId":"getSamplesByKeywordUsingGET","parameters":[{"name":"keyword","in":"query","description":"Search keyword that applies to the study ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["sampleId","sampleType"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/sample-lists":{"get":{"tags":["Sample Lists"],"description":"Get all sample lists","operationId":"getAllSampleListsUsingGET","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["sampleListId","category","studyId","name","description"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SampleList"}}}}}}}},"/api/sample-lists/{sampleListId}":{"get":{"tags":["Sample Lists"],"description":"Get sample list","operationId":"getSampleListUsingGET","parameters":[{"name":"sampleListId","in":"path","description":"Sample List ID e.g. acc_tcga_all","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleList"}}}}}}},"/api/sample-lists/{sampleListId}/sample-ids":{"get":{"tags":["Sample Lists"],"description":"Get all sample IDs in a sample list","operationId":"getAllSampleIdsInSampleListUsingGET","parameters":[{"name":"sampleListId","in":"path","description":"Sample List ID e.g. acc_tcga_all","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/reference-genome-genes/{genomeName}":{"get":{"tags":["Reference Genome Genes"],"description":"Get all reference genes","operationId":"getAllReferenceGenomeGenesUsingGET","parameters":[{"name":"genomeName","in":"path","description":"Name of Reference Genome hg19","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}}}}}},"/api/reference-genome-genes/{genomeName}/{geneId}":{"get":{"tags":["Reference Genome Genes"],"description":"Get a gene of a reference genome of interest","operationId":"getReferenceGenomeGeneUsingGET","parameters":[{"name":"genomeName","in":"path","description":"Name of Reference Genome hg19","required":true,"schema":{"type":"string"}},{"name":"geneId","in":"path","description":"Entrez Gene ID 207","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"404":{"description":"Reference genome or gene not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseEntityReferenceGenomeGene"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}}}}},"/api/proxy/bitly":{"get":{"tags":["legacy-proxy-controller"],"operationId":"getBitlyURLUsingGET","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/patients":{"get":{"tags":["Patients"],"description":"Get all patients","operationId":"getAllPatientsUsingGET","parameters":[{"name":"keyword","in":"query","description":"Search keyword that applies to ID of the patients","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["patientId"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Patient"}}}}}}}},"/api/molecular-profiles":{"get":{"tags":["Molecular Profiles"],"description":"Get all molecular profiles","operationId":"getAllMolecularProfilesUsingGET","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["molecularProfileId","molecularAlterationType","datatype","name","description","showProfileInAnalysisTab"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MolecularProfile"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}":{"get":{"tags":["Molecular Profiles"],"description":"Get molecular profile","operationId":"getMolecularProfileUsingGET","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularProfile"}}}}}}},"/api/molecular-profiles/{molecularProfileId}/mutations":{"get":{"tags":["Mutations"],"description":"Get mutations in a molecular profile by Sample List ID","operationId":"getMutationsInMolecularProfileBySampleListIdUsingGET","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}},{"name":"sampleListId","in":"query","description":"Sample List ID e.g. acc_tcga_all","required":true,"schema":{"type":"string"}},{"name":"entrezGeneId","in":"query","description":"Entrez Gene ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"maximum":10000000,"minimum":1,"type":"integer","format":"int32","default":10000000}},{"name":"pag
[...]
